def is_suspect(person):
    return person in ['John', 'Jane', 'Susan', 'Carlos', 'Kathy', 'Morgan']


def filter_to(population, group):
    keepers = []
    for item in population:
        if item in group:
            keepers.append(item)
    return keepers


def identify_suspects(people):
    suspects = []
    for person in people:
        if is_suspect(person):
            suspects.append(person)
    return suspects


def find_key_suspects(students, neighbors):
    student_neighbors = filter_to(students, neighbors)
    key_suspects = identify_suspects(student_neighbors)
    return key_suspects


if __name__ == '__main__':
    students = ['George', 'Hannah', 'Kathy', 'Michael', 'John']
    neighbors = ['Carl', 'Brooke', 'Jane', 'Jarom', 'Sally', 'John', 'Mike']
    print(find_key_suspects(students, neighbors))
