def is_suspect(person):
    return person in ['John', 'Jane', 'Susan', 'Carlos', 'Kathy', 'Morgan']


def identify_suspects(people):
    suspects = []
    for person in people:
        if is_suspect(person):
            suspects.append(person)
    return suspects


if __name__ == '__main__':
    students = ['George', 'Hannah', 'Kathy', 'Michael', 'John']
    print(identify_suspects(students))
    neighbors = ['Carl', 'Brooke', 'Jane', 'Jarom', 'Sally', 'John', 'Mike']
    print(identify_suspects(neighbors))