def is_suspect(person):
    return person in ['John', 'Jane', 'Susan', 'Carlos', 'Kathy', 'Morgan']


def identify_suspects(people):
    suspects = []
    for person in people:
        if is_suspect(person):
            suspects.append(person)
    return suspects


def find_key_suspects(students, neighbors):
    suspected_students = identify_suspects(students)

    key_suspects = []
    for person in suspected_students:
        if person in neighbors:
            key_suspects.append(person)
    return key_suspects


if __name__ == '__main__':
    students = ['George', 'Hannah', 'Kathy', 'Michael', 'John']
    neighbors = ['Carl', 'Brooke', 'Jane', 'Jarom', 'Sally', 'John', 'Mike']
    print(find_key_suspects(students, neighbors))